class com.ndimedia.ui.UIObject extends com.ndimedia.display.Sprite
{
   var addEventListener;
   var dispatchEvent;
   var m_size;
   var m_graphics;
   var m_namespace = "UIObject";
   function UIObject(scope, propagatesMouseEvents)
   {
      super(scope);
      mx.events.EventDispatcher.initialize(this);
      if(propagatesMouseEvents)
      {
         this._initMouseEventPropagation();
      }
      this.addEventListener(com.ndimedia.events.UIEventType.INIT,com.ndimedia.utils.Proxy.create(com.ndimedia.ui.UIManager,com.ndimedia.ui.UIManager.repaint));
      this.addEventListener(com.ndimedia.events.UIEventType.SIZE,com.ndimedia.utils.Proxy.create(com.ndimedia.ui.UIManager,com.ndimedia.ui.UIManager.repaint));
      var _loc3_ = new com.ndimedia.events.Event(com.ndimedia.events.UIEventType.INIT,this);
      this.dispatchEvent(_loc3_);
   }
   function get position()
   {
      return new com.ndimedia.math.geom.Point(this.graphics._x,this.graphics._y);
   }
   function move(x, y)
   {
      this.graphics._x = x;
      this.graphics._y = y;
   }
   function setSize(w, h)
   {
      this.m_size = new com.ndimedia.math.geom.Rect(w,h);
      this.repaint();
   }
   function repaint()
   {
      com.ndimedia.ui.UIManager.repaint(new com.ndimedia.events.Event("PAINT",this));
   }
   function get size()
   {
      return this.m_size;
   }
   function set size(r)
   {
      this.m_size = r;
   }
   function toString()
   {
      return this.m_namespace;
   }
   function _initMouseEventPropagation()
   {
      var _loc3_ = new com.ndimedia.events.Event(com.ndimedia.events.MouseEventType.MOUSE_RELEASE,this);
      this.m_graphics.onRelease = com.ndimedia.utils.Proxy.create(this,this.dispatchEvent,_loc3_);
      this.addEventListener(com.ndimedia.events.MouseEventType.MOUSE_RELEASE,com.ndimedia.utils.Proxy.create(com.ndimedia.ui.UIManager,com.ndimedia.ui.UIManager.repaint));
      var _loc5_ = new com.ndimedia.events.Event(com.ndimedia.events.MouseEventType.MOUSE_RELEASE_OUTSIDE,this);
      this.m_graphics.onReleaseOutside = com.ndimedia.utils.Proxy.create(this,this.dispatchEvent,_loc5_);
      this.addEventListener(com.ndimedia.events.MouseEventType.MOUSE_RELEASE_OUTSIDE,com.ndimedia.utils.Proxy.create(com.ndimedia.ui.UIManager,com.ndimedia.ui.UIManager.repaint));
      var _loc6_ = new com.ndimedia.events.Event(com.ndimedia.events.MouseEventType.MOUSE_PRESS,this);
      this.m_graphics.onPress = com.ndimedia.utils.Proxy.create(this,this.dispatchEvent,_loc6_);
      this.addEventListener(com.ndimedia.events.MouseEventType.MOUSE_PRESS,com.ndimedia.utils.Proxy.create(com.ndimedia.ui.UIManager,com.ndimedia.ui.UIManager.repaint));
      var _loc2_ = new com.ndimedia.events.Event(com.ndimedia.events.MouseEventType.MOUSE_IN,this);
      this.m_graphics.onRollOver = com.ndimedia.utils.Proxy.create(this,this.dispatchEvent,_loc2_);
      this.addEventListener(com.ndimedia.events.MouseEventType.MOUSE_IN,com.ndimedia.utils.Proxy.create(com.ndimedia.ui.UIManager,com.ndimedia.ui.UIManager.repaint));
      var _loc4_ = new com.ndimedia.events.Event(com.ndimedia.events.MouseEventType.MOUSE_OUT,this);
      this.m_graphics.onRollOut = com.ndimedia.utils.Proxy.create(this,this.dispatchEvent,_loc4_);
      this.addEventListener(com.ndimedia.events.MouseEventType.MOUSE_OUT,com.ndimedia.utils.Proxy.create(com.ndimedia.ui.UIManager,com.ndimedia.ui.UIManager.repaint));
   }
}
