class com.warnerbros.games.MathTables
{
   static var PI;
   static var sine = new Array(360);
   static var cosine = new Array(360);
   static var angleDivisions = 32;
   static var tablesInitialized = com.warnerbros.games.MathTables.initTables();
   function MathTables()
   {
   }
   static function initTables()
   {
      com.warnerbros.games.MathTables.PI = 3.141592653589793;
      var _loc1_ = 360;
      while(_loc1_ >= 0)
      {
         com.warnerbros.games.MathTables.sine[_loc1_] = Math.sin(com.warnerbros.games.MathTables.PI * _loc1_ / 180);
         com.warnerbros.games.MathTables.cosine[_loc1_] = Math.cos(com.warnerbros.games.MathTables.PI * _loc1_ / 180);
         _loc1_ = _loc1_ - 1;
      }
      return true;
   }
   static function traceTables()
   {
      var _loc1_ = 360;
      while(_loc1_ >= 0)
      {
         trace("Ang: " + _loc1_ + ", Sin: " + com.warnerbros.games.MathTables.sine[_loc1_] + ", Cos: " + com.warnerbros.games.MathTables.cosine[_loc1_]);
         _loc1_ = _loc1_ - 1;
      }
   }
   static function setVelocity(angle_index, speed, velocity)
   {
      var _loc1_ = 360 - Math.floor((angle_index - 1) * (360 / com.warnerbros.games.MathTables.angleDivisions));
      velocity.y = com.warnerbros.games.MathTables.cosine[_loc1_] * -1 * speed;
      velocity.x = com.warnerbros.games.MathTables.sine[_loc1_] * -1 * speed;
   }
}
