class com.warnerbros.games.managers.BaseInputManager
{
   static var keyMap;
   static var inputState;
   static var QUIT = 0;
   static var NUM_STATES = 1;
   static var initialized = false;
   function BaseInputManager()
   {
   }
   static function init()
   {
      com.warnerbros.games.managers.BaseInputManager.keyMap = new Array(com.warnerbros.games.managers.BaseInputManager.NUM_STATES);
      com.warnerbros.games.managers.BaseInputManager.inputState = new Array(com.warnerbros.games.managers.BaseInputManager.NUM_STATES);
      com.warnerbros.games.managers.BaseInputManager.keyMap[com.warnerbros.games.managers.BaseInputManager.QUIT] = 81;
      com.warnerbros.games.managers.BaseInputManager.inputState[com.warnerbros.games.managers.BaseInputManager.QUIT] = false;
      com.warnerbros.games.managers.BaseInputManager.initialized = true;
   }
   static function processInput()
   {
      if(!com.warnerbros.games.managers.BaseInputManager.initialized)
      {
         com.warnerbros.games.managers.BaseInputManager.init();
      }
      com.warnerbros.games.managers.BaseInputManager.processKeyboardInput();
   }
   static function processKeyboardInput()
   {
      com.warnerbros.games.managers.BaseInputManager.inputState[com.warnerbros.games.managers.BaseInputManager.QUIT] = Key.isDown(com.warnerbros.games.managers.BaseInputManager.keyMap[com.warnerbros.games.managers.BaseInputManager.QUIT]);
   }
   static function checkInputState(keyMapIndex)
   {
      return com.warnerbros.games.managers.BaseInputManager.inputState[keyMapIndex];
   }
   static function showInputState()
   {
      trace("BIM: " + com.warnerbros.games.managers.BaseInputManager.inputState.toString());
   }
}
