class com.warnerbros.games.managers.BaseScoreManager
{
   var levelTimer;
   static var $$instance = null;
   static var MAX_LIVES = 0;
   var levelScore = 0;
   var score = 0;
   var totalScore = 0;
   var level = 0;
   var lives = com.warnerbros.games.managers.BaseScoreManager.MAX_LIVES;
   function BaseScoreManager()
   {
      mx.events.EventDispatcher.initialize(this);
   }
   static function getInstance()
   {
      if(com.warnerbros.games.managers.BaseScoreManager.$$instance == null)
      {
         com.warnerbros.games.managers.BaseScoreManager.$$instance = new com.warnerbros.games.managers.BaseScoreManager();
      }
      return com.warnerbros.games.managers.BaseScoreManager.$$instance;
   }
   function init()
   {
      this.levelTimer = new com.warnerbros.games.Timer();
      return true;
   }
   function updateScore()
   {
      this.score += this.levelScore;
      this.totalScore = this.score;
      this.level = this.level + 1;
   }
   function reset()
   {
      this.score = 0;
      this.levelScore = 0;
      this.totalScore = 0;
      this.level = 0;
      this.lives = com.warnerbros.games.managers.BaseScoreManager.MAX_LIVES;
   }
   function getLevelScore()
   {
      return this.levelScore;
   }
   function setLevelScore(value)
   {
      this.levelScore = value;
   }
   function resetLevelScore()
   {
      this.levelScore = 0;
   }
   function getScore()
   {
      return this.score;
   }
   function setScore(value)
   {
      this.score = value;
   }
   function getTotalScore()
   {
      return this.totalScore;
   }
   function setTotalScore(value)
   {
      this.totalScore = value;
   }
   function getLevel()
   {
      return this.level;
   }
   function setLevel(value)
   {
      this.level = value;
   }
   function updateLevel(value)
   {
      this.level += value;
   }
   function getLives()
   {
      return this.lives;
   }
   function setLives(value)
   {
      this.lives = value;
   }
   function updateLives(value)
   {
      this.lives += value;
   }
   function resetLevelTimer()
   {
      this.levelTimer.restartTimer();
   }
   function updateLevelScore(points)
   {
      this.levelScore += points;
   }
}
