class com.ndimedia.scoobysoccer.Avatar extends com.warnerbros.games.BaseObject
{
   var speed;
   var m_spot;
   var screenCoords;
   var mc;
   var m_direction;
   var onEnterFrame;
   var animDone;
   var direction;
   var anim;
   var animPrev;
   var alive;
   var orientation;
   var SPEED_IN_PIX_PER_FRAME = 8;
   var ready = true;
   var walkingLeft = false;
   var walkingRight = false;
   var waiting = true;
   function Avatar(x, y, movie_clip, name)
   {
      super(x,y,movie_clip,name);
      this.speed = this.SPEED_IN_PIX_PER_FRAME;
      this.m_spot = movie_clip.spotReactionZone_mc;
      trace("Avatar recoit y=" + y);
      this.setPosition(x,y);
   }
   function set spot(mc)
   {
      trace("Avatar set spot to:" + targetPath(mc));
      this.m_spot = mc;
   }
   function get spot()
   {
      return this.m_spot;
   }
   function setPosition(x, y)
   {
      this.screenCoords = com.warnerbros.games.VectorMath.newVector(x,y);
      this.mc._x = this.screenCoords.x;
      this.mc._y = this.screenCoords.y;
   }
   function get direction()
   {
      return this.m_direction;
   }
   function walk(dir)
   {
      this.m_direction = dir;
      var av = this;
      var outStage;
      this.mc.onEnterFrame = function()
      {
         av.mc._x += av.m_direction * av.speed;
         if(av.mc._x > Stage.width || av.mc._x < 0)
         {
            outStage = true;
         }
         if(av.animDone || !av.walkingLeft && !av.walkingRight || outStage)
         {
            av.mc.stop();
            av.wait();
            delete this.onEnterFrame;
         }
      };
      this.mc._xscale = dir * 100;
      this.animDone = false;
      this.mc.gotoAndPlay("walk");
   }
   function override()
   {
      this.mc.onEnterFrame = null;
   }
   function wait()
   {
      var av = this;
      this.mc.onEnterFrame = function()
      {
         if(av.walkingLeft || av.walkingRight)
         {
            av.mc.stop();
            delete this.onEnterFrame;
         }
      };
      av.waiting = true;
      this.animDone = false;
      this.mc.gotoAndPlay("wait");
   }
   function kick(ball, area)
   {
      var _loc2_ = undefined;
      _loc2_ = area;
      if(area == "back")
      {
         _loc2_ = "tail";
         if(this.m_direction == -1)
         {
            _loc2_ = "feet";
         }
      }
      else if(area == "front")
      {
         _loc2_ = "feet";
         if(this.m_direction == -1)
         {
            _loc2_ = "tail";
         }
      }
      this.animDone = false;
      this.ready = false;
      this.mc.gotoAndPlay(_loc2_);
   }
   function superkick(ball, area)
   {
      var _loc2_ = [];
      var _loc3_ = undefined;
      switch(area._name)
      {
         case "frontReactionZone_mc":
            _loc3_ = true;
            _loc2_ = ["bone_dig","abs_move"];
            break;
         case "backReactionZone_mc":
            _loc3_ = true;
            _loc2_ = ["dance"];
            break;
         case "headReactionZone_mc":
            _loc3_ = true;
            _loc2_ = ["back_move","phoque_move"];
            break;
         default:
            _loc3_ = false;
            _loc2_ = ["miss_ball"];
      }
      this.animDone = false;
      this.ready = false;
      var _loc4_ = Math.floor(Math.random() * _loc2_.length);
      this.mc.gotoAndPlay(_loc2_[_loc4_]);
      return _loc3_;
   }
   function reset()
   {
      this.ready = true;
      this.direction = null;
      this.walkingRight = false;
      this.walkingLeft = false;
      this.animDone = true;
      this.anim = "knee_move";
      this.animPrev = "";
      this.alive = true;
      this.mc._visible = false;
      this.orientation = 100;
   }
   function die()
   {
      this.alive = false;
   }
}
