class com.ndimedia.scoobysoccer.managers.InputManager extends com.warnerbros.games.managers.BaseInputManager
{
   static var MOVE_LEFT = 1;
   static var MOVE_RIGHT = 2;
   static var KICK = 3;
   static var TRICK = 4;
   static var SPACEBAR = 32;
   static var LEFT_ARROW = 37;
   static var RIGHT_ARROW = 39;
   static var UP_ARROW = 38;
   function InputManager()
   {
      super();
   }
   static function init()
   {
      com.warnerbros.games.managers.BaseInputManager.NUM_STATES = 4;
      com.warnerbros.games.managers.BaseInputManager.keyMap = new Array(com.warnerbros.games.managers.BaseInputManager.NUM_STATES);
      com.warnerbros.games.managers.BaseInputManager.inputState = new Array(com.warnerbros.games.managers.BaseInputManager.NUM_STATES);
      com.warnerbros.games.managers.BaseInputManager.keyMap[com.ndimedia.scoobysoccer.managers.InputManager.MOVE_LEFT] = 37;
      com.warnerbros.games.managers.BaseInputManager.keyMap[com.ndimedia.scoobysoccer.managers.InputManager.MOVE_RIGHT] = 39;
      com.warnerbros.games.managers.BaseInputManager.keyMap[com.ndimedia.scoobysoccer.managers.InputManager.KICK] = 32;
      com.warnerbros.games.managers.BaseInputManager.keyMap[com.ndimedia.scoobysoccer.managers.InputManager.TRICK] = 38;
      com.warnerbros.games.managers.BaseInputManager.inputState[com.ndimedia.scoobysoccer.managers.InputManager.MOVE_LEFT] = false;
      com.warnerbros.games.managers.BaseInputManager.inputState[com.ndimedia.scoobysoccer.managers.InputManager.MOVE_RIGHT] = false;
      com.warnerbros.games.managers.BaseInputManager.inputState[com.ndimedia.scoobysoccer.managers.InputManager.KICK] = false;
      com.warnerbros.games.managers.BaseInputManager.inputState[com.ndimedia.scoobysoccer.managers.InputManager.TRICK] = false;
      var _loc1_ = new Object();
      _loc1_.onKeyUp = function()
      {
         switch(Key.getCode())
         {
            case com.ndimedia.scoobysoccer.managers.InputManager.SPACEBAR:
               com.warnerbros.games.managers.BaseInputManager.inputState[com.ndimedia.scoobysoccer.managers.InputManager.KICK] = false;
               break;
            case com.ndimedia.scoobysoccer.managers.InputManager.LEFT_ARROW:
               com.warnerbros.games.managers.BaseInputManager.inputState[com.ndimedia.scoobysoccer.managers.InputManager.MOVE_LEFT] = false;
               break;
            case com.ndimedia.scoobysoccer.managers.InputManager.RIGHT_ARROW:
               com.warnerbros.games.managers.BaseInputManager.inputState[com.ndimedia.scoobysoccer.managers.InputManager.MOVE_RIGHT] = false;
               break;
            case com.ndimedia.scoobysoccer.managers.InputManager.UP_ARROW:
               com.warnerbros.games.managers.BaseInputManager.inputState[com.ndimedia.scoobysoccer.managers.InputManager.TRICK] = false;
         }
      };
      Key.addListener(_loc1_);
      com.warnerbros.games.managers.BaseInputManager.initialized = true;
   }
   static function processInput()
   {
      if(!com.warnerbros.games.managers.BaseInputManager.initialized)
      {
         com.ndimedia.scoobysoccer.managers.InputManager.init();
      }
      com.ndimedia.scoobysoccer.managers.InputManager.processKeyboardInput();
   }
   static function processKeyboardInput()
   {
      com.warnerbros.games.managers.BaseInputManager.inputState[com.ndimedia.scoobysoccer.managers.InputManager.MOVE_LEFT] = Key.isDown(com.warnerbros.games.managers.BaseInputManager.keyMap[com.ndimedia.scoobysoccer.managers.InputManager.MOVE_LEFT]);
      com.warnerbros.games.managers.BaseInputManager.inputState[com.ndimedia.scoobysoccer.managers.InputManager.MOVE_RIGHT] = Key.isDown(com.warnerbros.games.managers.BaseInputManager.keyMap[com.ndimedia.scoobysoccer.managers.InputManager.MOVE_RIGHT]);
      com.warnerbros.games.managers.BaseInputManager.inputState[com.ndimedia.scoobysoccer.managers.InputManager.KICK] = Key.isDown(com.warnerbros.games.managers.BaseInputManager.keyMap[com.ndimedia.scoobysoccer.managers.InputManager.KICK]);
      com.warnerbros.games.managers.BaseInputManager.inputState[com.ndimedia.scoobysoccer.managers.InputManager.TRICK] = Key.isDown(com.warnerbros.games.managers.BaseInputManager.keyMap[com.ndimedia.scoobysoccer.managers.InputManager.TRICK]);
   }
}
