class com.ndimedia.scoobysoccer.managers.ScoreManager extends com.warnerbros.games.managers.BaseScoreManager
{
   var GC;
   var bonusTimer;
   var bonusTimerDuration;
   var bonusXtraBall;
   var bonusDelay;
   static var $$instance = null;
   var trickmeter = 0;
   var bonusMode = false;
   var m_bonusScore = 0;
   var MAX_LIVES = 3;
   var REQSCORE_FOR_BONUS_MODE = 100;
   var BONUS_MODE_LEVEL_2 = 1000;
   var BONUS_MODE_LEVEL_3 = 2000;
   var BONUS_MODE_LEVEL_4 = 3000;
   var BONUS_MODE_LEVEL_5 = 4000;
   var REQSCORE_FOR_GRAVITY_CHANGE = 1000;
   static var POINTS_PER_KICK = 10;
   static var POINTS_PER_TRICK = 100;
   static var KICK_FOR_TRICK = 5;
   function ScoreManager()
   {
      super();
   }
   static function getInstance()
   {
      if(com.ndimedia.scoobysoccer.managers.ScoreManager.$$instance == null)
      {
         com.ndimedia.scoobysoccer.managers.ScoreManager.$$instance = new com.ndimedia.scoobysoccer.managers.ScoreManager();
      }
      return com.ndimedia.scoobysoccer.managers.ScoreManager.$$instance;
   }
   function init(gc)
   {
      this.GC = gc;
   }
   function resetTrickMeter(success)
   {
      if(success == true)
      {
         this.updateScore("TRICK");
      }
      this.trickmeter = 0;
   }
   function getTrickMeter()
   {
      return this.trickmeter;
   }
   function updateTrickMeter(value)
   {
      value = value == null ? 1 : value;
      value = value / com.ndimedia.scoobysoccer.managers.ScoreManager.KICK_FOR_TRICK * 100;
      this.trickmeter += value;
      if(this.trickmeter >= 100)
      {
         this.trickmeter = 100;
         this.GC.switchTrick(true);
      }
      else
      {
         this.GC.switchTrick(false);
      }
   }
   function getBonusMode()
   {
      return this.bonusMode;
   }
   function get bonusScore()
   {
      return this.m_bonusScore;
   }
   function set bonusScore(val)
   {
      this.m_bonusScore = val;
   }
   function getBonusTimer()
   {
      if(this.bonusMode && this.bonusTimer.countDownEnded)
      {
         this.bonusMode = false;
         this.GC.stopBonusMode();
      }
      return this.bonusTimer.countDown(this.bonusTimerDuration);
   }
   function startBonusTimer(dur)
   {
      this.bonusMode = true;
      this.bonusTimerDuration = (dur + 1) * 1000;
      this.bonusTimer = new com.ndimedia.scoobysoccer.BonusTimer();
   }
   function getLives()
   {
      return this.lives;
   }
   function updateLives(value)
   {
      this.lives += value;
      this.m_bonusScore = 0;
   }
   function updateScore(type)
   {
      var _loc2_ = undefined;
      switch(type)
      {
         case "KICK":
            _loc2_ = com.ndimedia.scoobysoccer.managers.ScoreManager.POINTS_PER_KICK * this.GC.ballQuantity;
            break;
         case "TRICK":
            _loc2_ = com.ndimedia.scoobysoccer.managers.ScoreManager.POINTS_PER_TRICK;
      }
      this.m_bonusScore += _loc2_;
      this.updateTotalScore(_loc2_);
      this.updateTrickMeter();
      if(this.m_bonusScore >= this.REQSCORE_FOR_BONUS_MODE && this.GC.bonusMode == false)
      {
         if(this.totalScore >= this.REQSCORE_FOR_BONUS_MODE && this.totalScore < this.BONUS_MODE_LEVEL_2)
         {
            this.bonusXtraBall = 1;
            this.bonusDelay = 5;
         }
         else if(this.totalScore >= this.BONUS_MODE_LEVEL_2 && this.totalScore < this.BONUS_MODE_LEVEL_3)
         {
            this.bonusXtraBall = 2;
            this.bonusDelay = 10;
         }
         else if(this.totalScore >= this.BONUS_MODE_LEVEL_3 && this.totalScore < this.BONUS_MODE_LEVEL_4)
         {
            this.bonusXtraBall = 3;
            this.bonusDelay = 15;
         }
         else if(this.totalScore >= this.BONUS_MODE_LEVEL_4 && this.totalScore < this.BONUS_MODE_LEVEL_5)
         {
            this.bonusXtraBall = 4;
            this.bonusDelay = 20;
         }
         else if(this.totalScore >= this.BONUS_MODE_LEVEL_5)
         {
            this.bonusXtraBall = 5;
            this.bonusDelay = 25;
         }
         this.GC.startBonusMode(this.bonusXtraBall,this.bonusDelay);
         this.m_bonusScore = 0;
      }
   }
   function updateTotalScore(value)
   {
      this.totalScore += value;
      if(this.totalScore < 6000)
      {
         this.GC.updateGravity(Math.floor(this.totalScore / this.REQSCORE_FOR_GRAVITY_CHANGE) * 0.1);
      }
   }
   function reset()
   {
      this.m_bonusScore = 0;
      this.totalScore = 0;
      this.lives = this.MAX_LIVES;
      this.trickmeter = 0;
      this.bonusMode = false;
   }
}
